def fibomem(n, memo):
    """ int, {int:int} -> int
    Calcule le terme d'indice n de la suite de Fibonacci
    memo est un dictionnaire où les calculs intermédaires ont été stockés """
    if n in memo: 
        return ...
    if n <= 1:
        memo[n] = n
        return memo[n]
    else:
        inter1 = ...
        inter2 = ...
        memo[n] = ...
        return ...
